org.opencv.face

## Class EigenFaceRecognizer

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.FaceRecognizer
    - - org.opencv.face.BasicFaceRecognizer
      - - org.opencv.face.EigenFaceRecognizer

-     public class EigenFaceRecognizer
      extends BasicFaceRecognizer

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EigenFaceRecognizer(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EigenFaceRecognizer` | `__fromPtr__(long addr)`
    `static EigenFaceRecognizer` | `create()`
    `static EigenFaceRecognizer` | `create(int num_components, double threshold)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.face.BasicFaceRecognizer

      `getEigenValues, getEigenVectors, getLabels, getMean, getNumComponents, getProjections, getThreshold, setNumComponents, setThreshold`

    - ### Methods inherited from class org.opencv.face.FaceRecognizer

      `getLabelInfo, getLabelsByString, predict_collect, predict_label, predict, read, setLabelInfo, train, update, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EigenFaceRecognizer

          protected EigenFaceRecognizer(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static EigenFaceRecognizer __fromPtr__(long addr)

    - #### create

          public static EigenFaceRecognizer create(int num_components,
                                                   double threshold)

    - #### create

          public static EigenFaceRecognizer create()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `BasicFaceRecognizer`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1